pkgsrc-Bugs archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

pkg/42712: bootstrap pkgsrc should check for required termcap

>Number:         42712
>Category:       pkg
>Synopsis:       bootstrap pkgsrc should check for required termcap
>Confidential:   no
>Severity:       non-critical
>Priority:       low
>Responsible:    pkg-manager
>State:          open
>Class:          sw-bug
>Submitter-Id:   net
>Arrival-Date:   Sun Jan 31 19:30:00 +0000 2010
>Originator:     Jan Schaumann
>Release:        Fedora release 8 (Werewolf)
Linux ip-10-242-46-86 #1 SMP Fri Nov 20 19:22:36 EST 
2009 i686 i686 i386 GNU/Linux
Architecture: x86_64
Machine: i386

I created a Fedora Core 8 instance in Amazon's EC2, then fetched the latest 
pkgsrc tarball
and extracted it.  After bootstrapping, I tried to build misc/screen, but it 
failed saying
that no suitable termcap library was found.

The reson for that appears to be that this image does not by default provide the
ncurses-devel rpm.

If this is needed, then maybe bootstrap should detect this and complain?

Otherwise, it would be nice if misc/screen could just pull in devel/ncurses
or whatever it may need instead of leaving the user guessing what packages
he needs to install.

        Install Fedora Core 8 without any -devel packages.
        download pkgsrc
        cd misc/screen


Home | Main Index | Thread Index | Old Index